library(stockassessment)
setwd("run")
load("data.RData")

conf <- defcon(dat)
conf$corFlag <- 2
conf$fbarRange <- c(3,7)
conf$obsCorStruct[] <- c("ID","AR","AR")
conf$keyCorObs[2,1:7] <- 0
conf$keyCorObs[3,1:7] <- 1
conf$keyVarObs[2,1:8] <- c(1,1,2,2,2,2,2,2)
conf$keyVarObs[3,1:7] <- c(3,4,4,4,4,4,4)

par <- defpar(dat,conf)

fit<-sam.fit(dat,conf,par)

save(fit, file="model.RData")
